## org.omg.PortableServer
Class ThreadPolicyValueHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.ThreadPolicyValueHelper

public class ThreadPolicyValueHelper
extends java.lang.Object

Helper class for : ThreadPolicyValue

Author:
  OpenORB Compiler

Constructor Summary
`ThreadPolicyValueHelper()`

Method Summary
`static ThreadPolicyValue` `extract(Any a)` Extract ThreadPolicyValue from an any
`static java.lang.String` `id()` Return the ThreadPolicyValue IDL ID
`static void` `insert(Any a, ThreadPolicyValue t)` Insert ThreadPolicyValue into an any
`static ThreadPolicyValue` `read(InputStream istream)` Read ThreadPolicyValue from a marshalled stream
`static TypeCode` `type()` Return the ThreadPolicyValue TypeCode
`static void` `write(OutputStream ostream, ThreadPolicyValue value)` Write ThreadPolicyValue into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadPolicyValueHelper

    public ThreadPolicyValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ThreadPolicyValue t)

  Insert ThreadPolicyValue into an any
  Parameters:
    `a` - an any
    `t` - ThreadPolicyValue value

### extract

    public static ThreadPolicyValue extract(Any a)

  Extract ThreadPolicyValue from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ThreadPolicyValue value

### type

    public static TypeCode type()

  Return the ThreadPolicyValue TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ThreadPolicyValue IDL ID
  Returns:
    an ID

### read

    public static ThreadPolicyValue read(InputStream istream)

  Read ThreadPolicyValue from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ThreadPolicyValue value

### write

    public static void write(OutputStream ostream,
                             ThreadPolicyValue value)

  Write ThreadPolicyValue into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ThreadPolicyValue value